package query

import (
	"github.com/odysseus/service-registry/common"
	"github.com/odysseus/service-registry/registry"
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestQuery(t *testing.T) {
	q := NewQuery(registry.RedisConnParam{
		Addr:     "localhost:6379",
		Password: "",
		DbIndex:  0,
	})
	nmlistInfo, err := q.Select(common.SERVICE_NODE_MANAGER).List()
	assert.Equal(t, err, nil)
	gatewayInfo, err := q.Select(common.SERVICE_API_GATEWAY).ServiceInfo("gateway1")
	assert.Equal(t, err, nil)
	t.Logf("nmlistInfo: %v, gatewayInfo: %v", nmlistInfo, gatewayInfo)
}
